"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  useContext: true,
  hook: true
};
Object.defineProperty(exports, "hook", {
  enumerable: true,
  get: function () {
    return _hook.hook;
  }
});
Object.defineProperty(exports, "useContext", {
  enumerable: true,
  get: function () {
    return _context.useContext;
  }
});

var _bffCore = require("@modern-js/bff-core");

Object.keys(_bffCore).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _bffCore[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _bffCore[key];
    }
  });
});

var _context = require("../context");

var _hook = require("./hook");

var _operators = require("./operators");

Object.keys(_operators).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _operators[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _operators[key];
    }
  });
});