import 'reflect-metadata';
import { HttpMethod } from '@modern-js/bff-core';
import type { APIHandlerInfo } from '@modern-js/bff-core';
import type { Request, Response, NextFunction } from 'express';
declare type Handler = APIHandlerInfo['handler'];
export declare const createRouteHandler: (handler: Handler) => (req: Request, res: Response, next: NextFunction) => Promise<void | Response<any, Record<string, any>>>;
export declare const isNormalMethod: (httpMethod: HttpMethod) => httpMethod is HttpMethod;
export {};